> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bronto.io/llms.txt
> Use this file to discover all available pages before exploring further.

# bronto roles

> Manage roles

Manage roles

<Tip>
  * **Platform docs:** [docs.bronto.io/Account-Management/Access-Control](https://docs.bronto.io/Account-Management/Access-Control)
  * **API reference:** [docs.bronto.io/api-reference/roles/retrieve-a-list-of-roles](https://docs.bronto.io/api-reference/roles/retrieve-a-list-of-roles)
</Tip>

```sh theme={"dark"}
bronto roles <command> [flags]
```

#### Subcommands

| Command | Description |
| - | - |
| [`bronto roles create`](/cli/reference/commands/roles#bronto-roles-create) | Create a role |
| [`bronto roles delete`](/cli/reference/commands/roles#bronto-roles-delete) | Delete a role |
| [`bronto roles get`](/cli/reference/commands/roles#bronto-roles-get) | Get a role by ID |
| [`bronto roles list`](/cli/reference/commands/roles#bronto-roles-list) | List roles |
| [`bronto roles update`](/cli/reference/commands/roles#bronto-roles-update) | Update a role |

Also accepts the [global flags](/cli/reference/commands/global-flags).

## bronto roles create

Create a role

```sh theme={"dark"}
bronto roles create [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto roles create -f display_name=<name> -f 'permissions=["logs_read"]'
bronto roles create --input body.json
```

## bronto roles delete

Delete a role

```sh theme={"dark"}
bronto roles delete <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--yes` | | bool | | skip the confirmation prompt |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto roles delete <id> --yes
```

## bronto roles get

Get a role by ID

```sh theme={"dark"}
bronto roles get <id> [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto roles get <id>
```

## bronto roles list

List roles

```sh theme={"dark"}
bronto roles list [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto roles list
```

## bronto roles update

Update a role

```sh theme={"dark"}
bronto roles update <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto roles update <id> -f display_name=<name> -f 'permissions=["logs_read"]'
bronto roles update <id> --input body.json
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.